package com.aucma.report.domain;

import java.util.Date;

import com.aucma.common.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.aucma.common.core.domain.BaseEntity;

/**
 * 电检数据明细对象 detail_electricalinspection
 *
 * @author Yinq
 * @date 2023-11-09
 */
public class DetailElectricalinspection extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 标识
     */
    @Excel(name = "标识")
    private String uuid;

    /**
     * 序号
     */
    @Excel(name = "序号")
    private Long serialnumber;

    /**
     * 项目名称
     */
    @Excel(name = "项目名称")
    private String projectname;

    /**
     * 测试条件
     */
    @Excel(name = "测试条件")
    private String testcondition;

    /**
     * 测试值
     */
    @Excel(name = "测试值")
    private String testvalue;

    /**
     * 测试结果
     */
    @Excel(name = "测试结果")
    private String testresult;

    /**
     * 记录时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "记录时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date recordtime;

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getUuid() {
        return uuid;
    }

    public void setSerialnumber(Long serialnumber) {
        this.serialnumber = serialnumber;
    }

    public Long getSerialnumber() {
        return serialnumber;
    }

    public void setProjectname(String projectname) {
        this.projectname = projectname;
    }

    public String getProjectname() {
        return projectname;
    }

    public void setTestcondition(String testcondition) {
        this.testcondition = testcondition;
    }

    public String getTestcondition() {
        return testcondition;
    }

    public void setTestvalue(String testvalue) {
        this.testvalue = testvalue;
    }

    public String getTestvalue() {
        return testvalue;
    }

    public void setTestresult(String testresult) {
        this.testresult = testresult;
    }

    public String getTestresult() {
        return testresult;
    }

    public void setRecordtime(Date recordtime) {
        this.recordtime = recordtime;
    }

    public Date getRecordtime() {
        return recordtime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("uuid", getUuid())
                .append("serialnumber", getSerialnumber())
                .append("projectname", getProjectname())
                .append("testcondition", getTestcondition())
                .append("testvalue", getTestvalue())
                .append("testresult", getTestresult())
                .append("recordtime", getRecordtime())
                .toString();
    }
}
